# $Revision: 1.18 $, $Date: 2006/02/27 23:02:46 $
Summary:	Monitoring exim installations
Summary(pl):	Monitorowanie instalacji exima
Name:		eximstate
Version:	1.1
Release:	3
License:	GPL
Group:		Applications/Mail
Source0:	http://www.olliecook.net/projects/eximstate/releases/%{name}-%{version}.tar.gz
# Source0-md5:	e59355c849577dc5354e2614a5246aba
Source1:	%{name}.init
Source2:	%{name}.sysconfig
Source3:	%{name}d.init
Source4:	%{name}d.sysconfig
Patch0:		%{name}-debug.patch
URL:		http://www.olliecook.net/projects/eximstate/
BuildRequires:	ncurses-devel
BuildRequires:	rpmbuild(macros) >= 1.268
BuildRequires:	rrdtool-devel >= 1.2.10
Requires(post,preun):	/sbin/chkconfig
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_sysconfdir	/etc/eximstate
%define		_localstatedir	%{_var}/spool/%{name}

%description
eximstate is a server/client project for monitoring a number of Exim
installations. The clients are installed on each of the mailservers
running exim and the server runs on the monitoring server. Each client
reads the queue on the mail server and sends the total number of
messages, the number of frozen message, and the number of bounce
messages to the server. The server stores this data and uses RRDtool
to make a graphical representations of the data.

%description -l pl
eximstate to klient/serwer do monitorowania instalacji Exima. Klienty
zainstalowane s na kadym serwerze poczty pracujcym pod kontrol
Exima natomiast serwer eximstate na serwerze monitorujcym. Kady
klient czyta kolejk na serwerze pocztowym oraz przesya informacje o
cakowitej liczbie wiadomoci, liczbie wiadomoci zamroonych oraz
odbitych. Serwer eximstate zapisuje te dane oraz uywa RRDtoola w celu
stworzenia graficznej reprezentacji danych.

%package client
Summary:	eximstate client
Summary(pl):	Klient eximstate
Group:		Networking
Requires(post,preun):	/sbin/chkconfig
Requires:	exim >= 3.0.0
Requires:	rc-scripts

%description client
eximstate is a server/client project for monitoring a number of Exim
installations. This package contains client.

%description client -l pl
eximstate to klient/serwer do monitorowania instalacji Exima. Ten
pakiet zawiera klienta.

%prep
%setup -q
%patch0 -p1

%build
%configure \
	CPPFLAGS="-I/usr/include/ncurses" \
	--with-rrdtool=%{_prefix}
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{/etc/{rc.d/init.d,sysconfig},%{_localstatedir}}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

cp $RPM_BUILD_ROOT%{_sbindir}/graphrrd.sh .
sed -e 's#%{_prefix}/local/apache/htdocs/#/home/services/httpd/html/%{name}/#g' graphrrd.sh \
	> $RPM_BUILD_ROOT%{_sbindir}/graphrrd.sh

install %{SOURCE1} $RPM_BUILD_ROOT/etc/rc.d/init.d/%{name}
install %{SOURCE2} $RPM_BUILD_ROOT/etc/sysconfig/%{name}
install %{SOURCE3} $RPM_BUILD_ROOT/etc/rc.d/init.d/%{name}d
install %{SOURCE4} $RPM_BUILD_ROOT/etc/sysconfig/%{name}d

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/chkconfig --add %{name}d
if [ "$1" = 1 ]; then
	echo "Run \"%{_sbindir}/makenewrrd.sh <host>\" for each your monitored host."
fi
%service %{name}d restart "%{name}d daemon"

%preun
if [ "$1" = "0" ]; then
	%service %{name}d stop
	/sbin/chkconfig --del %{name}d
fi

%post client
/sbin/chkconfig --add %{name}
%service %{name} restart "%{name} daemon"

%preun client
if [ "$1" = "0" ]; then
	%service %{name} stop
	/sbin/chkconfig --del %{name}
fi

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README
%attr(755,root,root) %{_bindir}/exitop
%attr(755,root,root) %{_sbindir}/eximstated
%attr(755,root,root) %{_sbindir}/*.sh

%dir %{_sysconfdir}
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/%{name}d.conf
%attr(755,root,root) %{_var}/spool/%{name}

%attr(754,root,root) /etc/rc.d/init.d/%{name}d
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) /etc/sysconfig/%{name}d

%files client
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/eximstate
%dir %{_sysconfdir}
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/%{name}.conf

%attr(754,root,root) /etc/rc.d/init.d/%{name}
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) /etc/sysconfig/%{name}

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: eximstate.spec,v $
Revision 1.18  2006/02/27 23:02:46  glen
- cleanup

Revision 1.17  2006/02/27 23:01:30  glen
- use %service, fixed scripts, rel 3

Revision 1.16  2005/12/13 18:01:46  glen
- adapterized (avoid macros with /usr/include/{ncurses,freetype}*)

Revision 1.15  2005/10/14 19:42:08  arekm
- rebuild with new rrdtool

Revision 1.14  2005/08/03 10:36:10  zbyniu
- grammar

Revision 1.13  2005/08/03 07:26:07  krolik
- pl grammar ;-)

Revision 1.12  2004/03/28 17:55:13  qboosh
- versioned tarballs are in subdir

Revision 1.11  2004/03/28 17:20:45  qboosh
- it was 1.1 source - updated Version, switched to versioned tarballs
- revert /srv usage, we cannot assume /srv/httpd

Revision 1.10  2004/02/04 15:53:30  averne
- /home/services -> /srv
- rel 2

Revision 1.9  2003/08/28 08:20:30  ankry
- cosmetics

Revision 1.8  2003/08/22 15:33:14  ankry
- spaces -> tabs

Revision 1.7  2003/05/26 16:24:57  malekith
- massive attack: adding Source-md5

Revision 1.6  2003/05/25 05:47:15  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.5  2002/12/29 21:13:50  qboosh
- more Requires()

Revision 1.4  2002/12/13 15:24:03  ankry
- adapterized

Revision 1.3  2002/12/07 16:16:02  orzech
- /home -> /home/services

Revision 1.2  2002/09/14 19:26:34  kloczek
- cosmetics.

Revision 1.1  2002/09/14 18:00:22  misiek
- initial pld release
